org.apache.lucene.search.join

## Class ToParentBlockJoinQuery.ChildrenMatchesScorer

- java.lang.Object
- - org.apache.lucene.search.Scorer
  - - org.apache.lucene.search.join.ToParentBlockJoinQuery.ChildrenMatchesScorer

- Enclosing class:
    ToParentBlockJoinQuery

      public abstract static class ToParentBlockJoinQuery.ChildrenMatchesScorer
      extends Scorer

  Ascendant for `ToParentBlockJoinQuery`'s scorer.
  WARNING: This API is experimental and might change in incompatible ways in the next release.
    it might be removed at 6.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.search.Scorer

      `Scorer.ChildScorer`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.search.Scorer

      `weight`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ToParentBlockJoinQuery.ChildrenMatchesScorer(Weight weight)` inherited constructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract int` | `getChildCount()` reports matched children
    `abstract int[]` | `swapChildDocs(int[] other)` reports matched children
    `abstract void` | `trackPendingChildHits()` enables children matches recording

    - ### Methods inherited from class org.apache.lucene.search.Scorer

      `docID, freq, getChildren, getWeight, iterator, score, twoPhaseIterator`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ToParentBlockJoinQuery.ChildrenMatchesScorer

          protected ToParentBlockJoinQuery.ChildrenMatchesScorer(Weight weight)

      inherited constructor

  - ### Method Detail

    - #### trackPendingChildHits

          public abstract void trackPendingChildHits()

      enables children matches recording

    - #### getChildCount

          public abstract int getChildCount()

      reports matched children
      Returns:
        number of recorded matched children docs

    - #### swapChildDocs

          public abstract int[] swapChildDocs(int[] other)

      reports matched children
      Parameters:
        `other` - array for recording matching children docs of next parent, it might be null (that's slower) or the same array which was returned from the previous call
      Returns:
        array with `getChildCount()` matched children docnums

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.